/* Dialog Edit: DE
Ricordarsi di usare background e non solo background-color perche' nel CSS
del JQuery c'e' un'immagine di sfondo e non solo un colore
*/
.de {
  background: #E0DAF7;
  font-size : 80%;
}
.de .ui-dialog-title {
  font-style: italic;
  text-align: center;
}
.de_new .ui-dialog-title {
  color: darkgreen;
}
.de_mod .ui-dialog-title {
  color: maroon;
}
.de .ui-dialog-content {
  background-color: #E0DAF7;
}

/* Tabella invisibile */
table.invisibile {
  background-color: transparent;
  border          : 0px hidden;
  border-collapse : collapse;
  width           : 100%;
}
table.invisibile tbody,
table.invisibile tbody tr,
table.invisibile thead,
table.invisibile thead tr,
table.invisibile tr
{
  background-color: transparent;
  border          : 0px hidden;
  border-collapse : collapse;
}
table.invisibile td, td.invisibile {
  background-color: transparent;
  border          : 0px hidden;
  border-collapse : collapse;
  text-align      : left;
  padding         : 2px;
}
table.invisibile th {
  background-color: transparent;
  border          : 0px hidden;
  border-collapse : collapse;
  text-align      : left;
  padding         : 2px;
}

/* Tabella minimale */
/* Tabella tipica del Boja con DataTables */
table.minimale {
  border-collapse: collapse;
  border         : 1px solid black;
}
table.minimale th {
  border         : 1px solid darkgrey;
  border-collapse: collapse;
  color          : brown;
  text-align     : center;
  white-space    : nowrap;
}
table.minimale * tr,
table.minimale tbody tr,
table.minimale tfoot tr,
table.minimale thead tr {
  background-color: transparent;
  border-bottom   : 1px solid darkgrey;
  border-top      : 1px solid darkgrey;
  border-collapse : collapse;
}
table.minimale tbody tr:hover {
  background-color: #A3CCD9;
}
table.minimale td {
  border         : 1px solid darkgrey;
  border-collapse: collapse;
}
table.minimale th.dx,
table.minimale td.dx {
  padding-right: 2%;
  text-align   : right;
}
table.minimale tr.sel {
  background-color: #FFE4BD;
}
table.minimale tr.sel:hover {
  background-color: #F3C592;
}

/*
*** Miglioramenti Data Tables

Usare (nei CSS specifici) "#tabella_id_wrapper" o ".dataTables_wrapper"
per definire width e margins effettivi della tabella

*/
table.dataTable {
  width: 99.9% !important;
}
table.dataTable tfoot td,
table.dataTable tfoot th,
table.dataTable thead th {
  padding-top   : 4px;
  padding-bottom: 4px;
}
table.dataTable thead th.sorting:hover {
  cursor         : pointer;
  text-decoration: underline;
}
.dataTables_wrapper {
  display: inline-block;
}
.dataTables_wrapper .dataTables_length {
  font-size   : 85%;
  font-style  : italic;
  padding-left: 1%;
}
.dataTables_wrapper .dataTables_filter {
  font-size : 85%;
  font-style: italic;
}
.dataTables_wrapper .dataTables_filter input {
  font-style : italic;
  font-weight: bold;
  text-align : center;
}
.dataTables_wrapper .dataTables_filter input,
.dataTables_wrapper .dataTables_length select {
  background-color: #DAE7F7;
  font-size       : 1.1em;
  height          : 1.4em;
}
.dataTables_wrapper .dataTables_length select {
  font-style: italic;
  text-align: center;
}
.dataTables_wrapper .dataTables_info {
  font-size   : 75%;
  font-style  : italic;
  margin-top  : -2px;
  max-width   : 33%;
  padding-left: 1%;
}
.dataTables_wrapper .ui-toolbar {
  padding: 1px;
}
.dataTables_wrapper .dataTables_paginate .fg-button {
  font-size : 80%;
  font-style: italic;
  margin    : 0;
  padding   : 1px 5px;
}
.dataTables_paginate a {
  font-size : 80%;
  font-style: italic;
  margin    : 0;
  padding   : 1px 5px;
}
.dataTables_paginate a:hover {
    cursor         : pointer;
    text-decoration: underline;
}
table.dataTable thead {
    font-size : 0.9em;
    font-style: italic;
}
table.dataTable tbody td {
    padding: 1px 4px;
}

/* Tabella TEStaR */
table.testar {
  border: 1px solid black;
  border-collapse: collapse;
  clear: both;
  font-size: 80%;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
table.testar thead {
  border-collapse: collapse;
  text-align: center;
  white-space: nowrap;
}
table.testar thead th {
  color: sienna;
  cursor: pointer;
  *cursor: hand;
  font-style: italic;
  padding-top: 3px;
  padding-bottom: 3px;
  white-space: nowrap;
}
table.testar thead th:hover {
  color: brown;
  text-decoration: underline;
}
table.testar th {
  border: 1px solid black;
  border-collapse: collapse;
  padding-left: 2px;
  padding-right: 2px;
}
table.testar td {
  border: 1px solid black;
  border-collapse: collapse;
  padding-left: 4px;
  padding-right: 4px;
  text-align: left;
}
table.testar tbody tr {
  border: 1px solid black;
  border-collapse: collapse;
}
table.testar tbody tr:hover {
  background-color: #AACFFF;
}
table.testar tfoot th {
  padding: 2px 0px 2px 10px;
  font-weight: normal;
}
table.testar tr.heading2 td {
  border-bottom: 1px solid #aaa;
}
table.testar td.center {
  text-align: center;
}
table.testar tr.odd.gradeA {
  background-color: #ddffdd;
}
table.testar tr.even.gradeA {
  background-color: #eeffee;
}
table.testar tr.odd.gradeA:hover, table.testar tr.even.gradeA:hover {
  background-color: palegreen;
}
table.testar tr.odd.gradeC {
  background-color: #ddddff;
}
table.testar tr.even.gradeC {
  background-color: #eeeeff;
}
table.testar tr.odd.gradeC:hover, table.testar tr.even.gradeC:hover {
  background-color: thistle;
}
table.testar tr.odd.gradeX {
  background-color: #ffdddd;
}
table.testar tr.even.gradeX {
  background-color: #ffeeee;
}
table.testar tr.odd.gradeX:hover, table.testar tr.even.gradeX:hover {
  background-color: #F3C592;
}
table.testar tr.odd.gradeU {
  background-color: #ddd;
}
table.testar tr.even.gradeU {
  background-color: #eee;
}
table.testar tr.odd.gradeU:hover, table.testar tr.even.gradeU:hover {
  background-color: #AAAAAA;
}
table.testar tr.odd {
  background-color: #E2E4FF;
}
table.testar tr.even {
  background-color: white;
}
table.testar tr.odd:hover, table.testar tr.even:hover {
  background-color: #AACFFF;
}
table.testar tr.even.row_selected td {
  background-color: #B0BED9;
}
table.testar tr.odd.row_selected td {
  background-color: #9FAFD1;
}
/* Colonne evidenziate per ordinamento */
table.testar tr.odd td.sorting_1 {
  background-color: #D3D6FF;
}
table.testar tr.odd td.sorting_2 {
  background-color: #DADCFF;
}
table.testar tr.odd td.sorting_3 {
  background-color: #E0E2FF;
}
table.testar tr.even td.sorting_1 {
  background-color: #EAEBFF;
}
table.testar tr.even td.sorting_2 {
  background-color: #F2F3FF;
}
table.testar tr.even td.sorting_3 {
  background-color: #F9F9FF;
}
table.testar tr.odd:hover  td.sorting_1, table.testar tr.odd:hover  td.sorting_2, table.testar tr.odd:hover  td.sorting_3,
table.testar tr.even:hover td.sorting_1, table.testar tr.even:hover td.sorting_2, table.testar tr.even:hover td.sorting_3 {
  background-color: #AACFFF;
}
/* CSS condizionale */
table.testar tr.odd.gradeA td.sorting_1 {
  background-color: #c4ffc4;
}
table.testar tr.odd.gradeA td.sorting_2 {
  background-color: #d1ffd1;
}
table.testar tr.odd.gradeA td.sorting_3 {
  background-color: #d1ffd1;
}
table.testar tr.even.gradeA td.sorting_1 {
  background-color: #d5ffd5;
}
table.testar tr.even.gradeA td.sorting_2 {
  background-color: #e2ffe2;
}
table.testar tr.even.gradeA td.sorting_3 {
  background-color: #e2ffe2;
}
table.testar tr.odd.gradeA:hover  td.sorting_1, table.testar tr.odd.gradeA:hover  td.sorting_2, table.testar tr.odd.gradeA:hover  td.sorting_3,
table.testar tr.even.gradeA:hover td.sorting_1, table.testar tr.even.gradeA:hover td.sorting_2, table.testar tr.even.gradeA:hover td.sorting_3 {
  background-color: palegreen;
}
table.testar tr.odd.gradeC td.sorting_1 {
  background-color: #c4c4ff;
}
table.testar tr.odd.gradeC td.sorting_2 {
  background-color: #d1d1ff;
}
table.testar tr.odd.gradeC td.sorting_3 {
  background-color: #d1d1ff;
}
table.testar tr.even.gradeC td.sorting_1 {
  background-color: #d5d5ff;
}
table.testar tr.even.gradeC td.sorting_2 {
  background-color: #e2e2ff;
}
table.testar tr.even.gradeC td.sorting_3 {
  background-color: #e2e2ff;
}
table.testar tr.odd.gradeC:hover  td.sorting_1, table.testar tr.odd.gradeC:hover  td.sorting_2, table.testar tr.odd.gradeC:hover  td.sorting_3,
table.testar tr.even.gradeC:hover td.sorting_1, table.testar tr.even.gradeC:hover td.sorting_2, table.testar tr.even.gradeC:hover td.sorting_3 {
  background-color: thistle;
}
table.testar tr.odd.gradeX td.sorting_1 {
  background-color: #ffc4c4;
}
table.testar tr.odd.gradeX td.sorting_2 {
  background-color: #ffd1d1;
}
table.testar tr.odd.gradeX td.sorting_3 {
  background-color: #ffd1d1;
}
table.testar tr.even.gradeX td.sorting_1 {
  background-color: #ffd5d5;
}
table.testar tr.even.gradeX td.sorting_2 {
  background-color: #ffe2e2;
}
table.testar tr.even.gradeX td.sorting_3 {
  background-color: #ffe2e2;
}
table.testar tr.odd.gradeX:hover  td.sorting_1, table.testar tr.odd.gradeX:hover  td.sorting_2, table.testar tr.odd.gradeX:hover  td.sorting_3,
table.testar tr.even.gradeX:hover td.sorting_1, table.testar tr.even.gradeX:hover td.sorting_2, table.testar tr.even.gradeX:hover td.sorting_3 {
  background-color: #F3C592;
}
table.testar tr.odd.gradeU td.sorting_1 {
  background-color: #c4c4c4;
}
table.testar tr.odd.gradeU td.sorting_2 {
  background-color: #d1d1d1;
}
table.testar tr.odd.gradeU td.sorting_3 {
  background-color: #d1d1d1;
}
table.testar tr.even.gradeU td.sorting_1 {
  background-color: #d5d5d5;
}
table.testar tr.even.gradeU td.sorting_2 {
  background-color: #e2e2e2;
}
table.testar tr.even.gradeU td.sorting_3 {
  background-color: #e2e2e2;
}
table.testar tr.odd.gradeU:hover  td.sorting_1, table.testar tr.odd.gradeU:hover  td.sorting_2, table.testar tr.odd.gradeU:hover  td.sorting_3,
table.testar tr.even.gradeU:hover td.sorting_1, table.testar tr.even.gradeU:hover td.sorting_2, table.testar tr.even.gradeU:hover td.sorting_3 {
  background-color: #AAAAAA;
}
/* Righe selezionate */
table.testar tr.riga_selezionata {
  background-color: #FFE4BD !important;
}
table.testar tr.riga_selezionata:hover {
  background-color: #F3C592 !important;
}
table.testar tr.odd.gradeA.riga_selezionata,
table.testar tr.even.gradeA.riga_selezionata {
  background-color: #9FE76C !important;
}
table.testar tr.odd.gradeA.riga_selezionata:hover,
table.testar tr.even.gradeA.riga_selezionata:hover {
  background-color: #7DC53A !important;
}
table.testar tr.odd.gradeA.riga_selezionata  td.sorting_1,
table.testar tr.odd.gradeA.riga_selezionata  td.sorting_2,
table.testar tr.odd.gradeA.riga_selezionata  td.sorting_3,
table.testar tr.even.gradeA.riga_selezionata td.sorting_1,
table.testar tr.even.gradeA.riga_selezionata td.sorting_2,
table.testar tr.even.gradeA.riga_selezionata td.sorting_3 {
  background-color: #9FE76C !important;
}
table.testar tr.odd.gradeA.riga_selezionata:hover  td.sorting_1,
table.testar tr.odd.gradeA.riga_selezionata:hover  td.sorting_2,
table.testar tr.odd.gradeA.riga_selezionata:hover  td.sorting_3,
table.testar tr.even.gradeA.riga_selezionata:hover td.sorting_1,
table.testar tr.even.gradeA.riga_selezionata:hover td.sorting_2,
table.testar tr.even.gradeA.riga_selezionata:hover td.sorting_3 {
  background-color: #7DC53A !important;
}
table.testar tr.odd.gradeC.riga_selezionata,
table.testar tr.even.gradeC.riga_selezionata {
  background-color: thistle !important;
}
table.testar tr.odd.gradeC.riga_selezionata:hover,
table.testar tr.even.gradeC.riga_selezionata:hover {
  background-color: rosybrown !important;
}
table.testar tr.odd.gradeC.riga_selezionata  td.sorting_1,
table.testar tr.odd.gradeC.riga_selezionata  td.sorting_2,
table.testar tr.odd.gradeC.riga_selezionata  td.sorting_3,
table.testar tr.even.gradeC.riga_selezionata td.sorting_1,
table.testar tr.even.gradeC.riga_selezionata td.sorting_2,
table.testar tr.even.gradeC.riga_selezionata td.sorting_3 {
  background-color: thistle !important;
}
table.testar tr.odd.gradeC.riga_selezionata:hover  td.sorting_1,
table.testar tr.odd.gradeC.riga_selezionata:hover  td.sorting_2,
table.testar tr.odd.gradeC.riga_selezionata:hover  td.sorting_3,
table.testar tr.even.gradeC.riga_selezionata:hover td.sorting_1,
table.testar tr.even.gradeC.riga_selezionata:hover td.sorting_2,
table.testar tr.even.gradeC.riga_selezionata:hover td.sorting_3 {
  background-color: rosybrown !important;
}
table.testar tr.odd.gradeX.riga_selezionata,
table.testar tr.even.gradeX.riga_selezionata {
  background-color: #FFE4BD !important;
}
table.testar tr.odd.gradeX.riga_selezionata:hover,
table.testar tr.even.gradeX.riga_selezionata:hover {
  background-color: #F3C592 !important;
}
table.testar tr.odd.gradeX.riga_selezionata  td.sorting_1,
table.testar tr.odd.gradeX.riga_selezionata  td.sorting_2,
table.testar tr.odd.gradeX.riga_selezionata  td.sorting_3,
table.testar tr.even.gradeX.riga_selezionata td.sorting_1,
table.testar tr.even.gradeX.riga_selezionata td.sorting_2,
table.testar tr.even.gradeX.riga_selezionata td.sorting_3 {
  background-color: #FFE4BD !important;
}
table.testar tr.odd.gradeX.riga_selezionata:hover  td.sorting_1,
table.testar tr.odd.gradeX.riga_selezionata:hover  td.sorting_2,
table.testar tr.odd.gradeX.riga_selezionata:hover  td.sorting_3,
table.testar tr.even.gradeX.riga_selezionata:hover td.sorting_1,
table.testar tr.even.gradeX.riga_selezionata:hover td.sorting_2,
table.testar tr.even.gradeX.riga_selezionata:hover td.sorting_3 {
  background-color: #F3C592 !important;
}

/* Miglioramenti Data Tables */
/*
table.dataTable {
  width: 99.99% !important;
}
.dataTables_wrapper .dataTables_length {
  font-size: 85%;
  font-style: italic;
  padding-left: 1%;
}
.dataTables_wrapper .dataTables_length select {
  font-style: italic;
  text-align: center;
}
.dataTables_wrapper .dataTables_filter {
  font-size: 85%;
  font-style: italic;
}
.dataTables_wrapper .dataTables_info {
  font-size: 75%;
  font-style: italic;
  margin-top: -2px;
  max-width: 33%;
  padding-left: 1%;
}
.dataTables_wrapper .ui-toolbar {
  padding: 1px;
}
.dataTables_wrapper .dataTables_paginate .fg-button {
  font-size: 80%;
  font-style: italic;
  margin: 0;
  padding: 1px 5px;
}
.dataTables_paginate a {
  font-size: 80%;
  font-style: italic;
  margin: 0;
  padding: 1px 5px;
}
.dataTables_paginate a:hover {
  cursor: pointer;
  text-decoration: underline;
}
table.dataTable thead {
  font-size  : 0.9em;
  font-style : italic;
}
table.dataTable thead th:hover {
  text-decoration: underline;
}
table.dataTable tbody td {
  padding: 1px 4px;
  text-align: left;
}
*/

/* Solo se se non si usa jQueryUI */
/*
table.dataTable thead .sorting {
  background: transparent url('../img/datatable/sort_both.png') no-repeat center right;
}
table.dataTable thead .sorting_asc {
  background: transparent url('../img/datatable/sort_asc.png') no-repeat center right;
}
table.dataTable thead .sorting_desc {
  background: transparent url('../img/datatable/sort_desc.png') no-repeat center right;
}
table.dataTable thead .sorting_asc_disabled {
  background: transparent url('../img/datatable/sort_asc_disabled.png') no-repeat center right;
}
table.dataTable thead .sorting_desc_disabled {
  background: transparent url('../img/datatable/sort_desc_disabled.png') no-repeat center right;
}
*/

/* Tabella Guasti */
table#guasti th.totale {
  color      : red;
  font-weight: bold;
}

/* Tabelle generiche */
table thead th.nosort,
table.dataTable thead th.nosort,
table.testar thead th.nosort {
  cursor: default !important;
}
table thead th.nosort:hover,
table.dataTable thead th.nosort:hover,
table.testar thead th.nosort:hover {
  color          : sienna;
  text-decoration: none;
}

/* Tabelle con TH e TD nella stessa riga */
table.thlr th {
  padding-right: 2%;
  text-align: right;
}
table.thlr td {
  padding-left: 2%;
  text-align: left;
}

/* Tabella tipica del Boja con DataTables */
table.boja {
  font-size      : 0.75em;
  border-collapse: collapse;
}
table.boja thead th {
  white-space: nowrap;
}
table.boja tbody tr {
  background-color: transparent;
  border-bottom   : 1px solid darkgrey;
  border-top      : 1px solid darkgrey;
  border-collapse : collapse;
}
table.boja tbody tr:hover {
  background-color: #A3CCD9;
}
table.boja tbody td {
  border         : 1px solid darkgrey;
  border-collapse: collapse;
}
/*
table.boja tbody tr.even {
  background-color: #C9DBF1;
}
table.boja tbody tr.even:hover {
  background-color: #A3CCD9;
}
*/
table.boja tbody tr.sel {
  background-color: #FFE4BD;
}
table.boja tbody tr.sel:hover {
  background-color: #F3C592;
}